package cn.iocoder.yudao.module.order.vo.orderWarehouseIn;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

import javax.validation.constraints.NotNull;

@ApiModel("管理后台 - 退仓申请 Request VO")
@Data
@EqualsAndHashCode
@ToString(callSuper = true)
public class OrderWarehouseInRollbackApplyReqVO {

    @ApiModelProperty(value = "订单ID", required = true)
    @NotNull(message = "订单ID不能为空")
    private Long orderId;

    @ApiModelProperty(value = "订单号", required = true)
    @NotNull(message = "订单号不能为空")
    private String orderNo;

    @ApiModelProperty(value = "退仓原因")
    private String reason;

    @ApiModelProperty(value = "退仓图片")
    private String imgUrl;

    @ApiModelProperty(value = "抄送人userId")
    private String[] copyUserId;

}
